com.aliyun.svideosdk.editor

## Interface AliyunICompose.AliyunIUploadCallBack

- Enclosing interface:
    AliyunICompose

  Deprecated.

      @Deprecated
      public static interface AliyunICompose.AliyunIUploadCallBack

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSTSTokenExpired()` Deprecated. The callback when the STS token expires.
    `void` | `onUploadFailed(java.lang.String code, java.lang.String message)` Deprecated. The callback when the upload fails.
    `void` | `onUploadProgress(long uploadedSize, long totalSize)` Deprecated. The callback that outputs the progress of the upload.
    `void` | `onUploadRetry(java.lang.String code, java.lang.String message)` Deprecated. The callback when the upload is retried.
    `void` | `onUploadRetryResume()` Deprecated. The callback when the retry is successful.
    `void` | `onUploadSucceed(java.lang.String videoId, java.lang.String imageUrl)` Deprecated. The callback when the upload is successful.

- - ### Method Detail

    - #### onUploadSucceed

          void onUploadSucceed(java.lang.String videoId,
                               java.lang.String imageUrl)

      Deprecated.
      The callback when the upload is successful.
      Parameters:
        `videoId` - The VID of the video.
        `imageUrl` - The URL of the thumbnail.

    - #### onSTSTokenExpired

          void onSTSTokenExpired()

      Deprecated.
      The callback when the STS token expires.

    - #### onUploadFailed

          void onUploadFailed(java.lang.String code,
                              java.lang.String message)

      Deprecated.
      The callback when the upload fails.
      Parameters:
        `code` - The error code.
        `message` - The error message.

    - #### onUploadProgress

          void onUploadProgress(long uploadedSize,
                                long totalSize)

      Deprecated.
      The callback that outputs the progress of the upload.
      Parameters:
        `uploadedSize` - The uploaded file size.
        `totalSize` - The total file size.

    - #### onUploadRetry

          void onUploadRetry(java.lang.String code,
                             java.lang.String message)

      Deprecated.
      The callback when the upload is retried.
      Parameters:
        `code` - The error code that causes the retry.
        `message` - The error message that causes the retry.

    - #### onUploadRetryResume

          void onUploadRetryResume()

      Deprecated.
      The callback when the retry is successful.